# pymeepo

[![PyPI version](https://img.shields.io/pypi/v/pymeepo.svg)](https://pypi.org/project/pymeepo/)
[![Python versions](https://img.shields.io/pypi/pyversions/pymeepo.svg)](https://pypi.org/project/pymeepo/)
[![License](https://img.shields.io/github/license/meepolabs/pymeepo.svg)](https://github.com/meepolabs/pymeepo/blob/main/LICENSE)

A lightweight Python SDK for building AI agents, enabling collaborative and supervisor-worker models for complex workflows.

## Overview

pymeepo is a Python SDK designed for developers to build AI agents of any sort. It provides a clean, intuitive interface for creating agents that can work together in hierarchical structures.

The pymeepo SDK enables developers to:

- Build sophisticated agent systems with a Python-first approach
- Create hierarchical agent structures with supervisor-worker relationships
- Leverage multiple LLM providers with unified interfaces
- Implement collaborative agents that can work together on complex tasks

## Installation

```bash
pip install pymeepo
```

Or with Poetry:

```bash
poetry add pymeepo
```

## Quick Start

```
TO BE ADDED
```

## Features

- **Async-first Design**: Built for asynchronous operations with synchronous wrappers
- **Lightweight and Modular**: Focused components that can be used independently
- **Collaborative Agents**: First-class support for agent collaboration
- **Hierarchical Structures**: Supervisor-worker models for complex workflows
- **Provider Agnostic**: Support for multiple LLM providers

## Documentation

For detailed documentation, visit [pymeepo.readthedocs.io](https://pymeepo.readthedocs.io).

## Contributing

Contributions are welcome! Please check out our [contributing guidelines](CONTRIBUTING.md).

## License

This project is licensed under the [GNU General Public License v3.0 (GPLv3)](LICENSE).
